/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.66-1
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with:
Works with Arduino 1.6.0 IDE  
Test OK : Arduino DUE,Arduino mega2560,Arduino UNO Board 
****************************************************/

/*
  == Hardware connection ==
    OLED   =>    Arduino
  *1. GND    ->    GND
  *2. VCC    ->    3.3
  *3. SCL    ->    SCK
  *4. SDA    ->    MOSI
  *5. RES    ->    8 
  *6. DC     ->    9
  *7. CS     ->    10
*/


#include <SPI.h>
#include "er_oled.h"

uint8_t oled_buf[WIDTH * HEIGHT / 8];

void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");

  /* display an image of bitmap matrix */
  er_oled_begin();
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 0, PIC1, 64, 48, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);  
  command(0xa7);//--set Negative display 
  delay(3000);
  command(0xa6);//--set normal display
  
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 0, PIC2, 64, 48, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);
  
  command(0xa7);//--set Negative display 
  delay(3000); 
  command(0xa6);//--set normal display  
  
  er_oled_clear(oled_buf);
  /* display images of bitmap matrix */
  er_oled_bitmap(0, 0, Signal816, 16, 8, oled_buf); 
  er_oled_bitmap(19, 0,Bluetooth88, 8, 8, oled_buf); 
  er_oled_bitmap(30, 0, Msg816, 16, 8, oled_buf); 
  er_oled_bitmap(48, 0, Bat816, 16, 8, oled_buf); 
  er_oled_string(2, 8, "EastRising", 12, 1, oled_buf); 
  er_oled_string(2, 20, "buydisplay", 12, 1, oled_buf); 
  er_oled_string(0, 32, "OLED-DIS", 16, 1, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);
  
  er_oled_clear(oled_buf);
  er_oled_string(2, 0, "EastRising", 12, 1, oled_buf); 
  er_oled_char(0, 16, '1' ,16, 1, oled_buf);
  er_oled_char(8, 16, '2', 16, 1, oled_buf);
  er_oled_char(16, 16, ':', 16, 1, oled_buf);
  er_oled_char(24, 16, '0', 16, 1, oled_buf);
  er_oled_char(32, 16, '6', 16, 1, oled_buf);
  er_oled_char(40, 16, ':', 16, 1, oled_buf);
  er_oled_char(48, 16, '1', 16, 1, oled_buf);
  er_oled_char(56, 16, '8', 16, 1, oled_buf);
  
  er_oled_string(2, 36, "buydisplay", 12, 1, oled_buf);
  er_oled_display(oled_buf); 
}

void loop() {

}

